diff -uwr source/scripts/ReferencerClass.h 4.0/source/scripts/ReferencerClass.h
--- source/scripts/ReferencerClass.h	2010-05-31 13:36:04.000000000 +0800
+++ 4.0/source/scripts/ReferencerClass.h	2011-10-11 21:47:53.953125000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__REFERENCERCLASS_H
 #define TT_INCLUDE__REFERENCERCLASS_H
 
diff -uwr source/scripts/RefineryGameObj.h 4.0/source/scripts/RefineryGameObj.h
--- source/scripts/RefineryGameObj.h	2010-05-31 12:35:50.000000000 +0800
+++ 4.0/source/scripts/RefineryGameObj.h	2011-10-11 21:47:50.632812500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__REFINERYGAMEOBJ_H
 #define TT_INCLUDE__REFINERYGAMEOBJ_H
 
@@ -40,6 +51,16 @@
 	void					Set_Dock_TM (const Matrix3D &tm)	{ DockTM = tm; }
 	virtual	void		Export_Rare (BitStreamClass &packet);
 	virtual	void		Import_Rare (BitStreamClass &packet);
+	void Destroy_Harvester();
+	void					Block_Harvester_Spawn()
+	{
+		Destroy_Harvester();
+		AllowHarvesterSpawn = false;
+	}
+	void					Allow_Harvester_Spawn()
+	{
+		AllowHarvesterSpawn = true;
+	}
 private:
 	void					Load_Variables (ChunkLoadClass &cload);	
 	HarvesterClass *	Harvester;
@@ -52,6 +73,7 @@
 	float					DistributionTimer;
 	Matrix3D				DockTM;
 	AudibleSoundClass * MoneyTrickleSound;
+	bool					AllowHarvesterSpawn;
 }; // 2232, RH7 2252
 
 
diff -uwr source/scripts/RefineryGameObjDef.h 4.0/source/scripts/RefineryGameObjDef.h
--- source/scripts/RefineryGameObjDef.h	2009-12-24 19:55:50.000000000 +0800
+++ 4.0/source/scripts/RefineryGameObjDef.h	2011-10-11 21:47:47.846679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__REFINERYGAMEOBJDEF_H
 #define TT_INCLUDE__REFINERYGAMEOBJDEF_H
 
diff -uwr source/scripts/RenderObjClass.h 4.0/source/scripts/RenderObjClass.h
--- source/scripts/RenderObjClass.h	2011-03-16 13:07:52.000000000 +0800
+++ 4.0/source/scripts/RenderObjClass.h	2011-10-11 21:44:46.656250000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__RENDEROBJCLASS_H
 #define TT_INCLUDE__RENDEROBJCLASS_H
 
diff -uwr source/scripts/RepairBayGameObj.h 4.0/source/scripts/RepairBayGameObj.h
--- source/scripts/RepairBayGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/RepairBayGameObj.h	2011-10-11 21:44:44.096679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__REPAIRBAYGAMEOBJ_H
 #define TT_INCLUDE__REPAIRBAYGAMEOBJ_H
 
diff -uwr source/scripts/RepairBayGameObjDef.h 4.0/source/scripts/RepairBayGameObjDef.h
--- source/scripts/RepairBayGameObjDef.h	2009-12-24 19:51:58.000000000 +0800
+++ 4.0/source/scripts/RepairBayGameObjDef.h	2011-10-11 21:44:42.151367100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__REPAIRBAYGAMEOBJDEF_H
 #define TT_INCLUDE__REPAIRBAYGAMEOBJDEF_H
 
diff -uwr source/scripts/SList.h 4.0/source/scripts/SList.h
--- source/scripts/SList.h	2011-05-31 10:17:18.000000000 +0800
+++ 4.0/source/scripts/SList.h	2011-10-11 21:43:47.846679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SLIST_H
 #define TT_INCLUDE__SLIST_H
 
diff -uwr source/scripts/SamSiteGameObj.h 4.0/source/scripts/SamSiteGameObj.h
--- source/scripts/SamSiteGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/SamSiteGameObj.h	2011-10-11 21:44:36.515625000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SAMSITEGAMEOBJ_H
 #define TT_INCLUDE_SAMSITEGAMEOBJ_H
 #include "SmartGameObj.h"
diff -uwr source/scripts/SamSiteGameObjDef.h 4.0/source/scripts/SamSiteGameObjDef.h
--- source/scripts/SamSiteGameObjDef.h	2011-05-22 15:05:40.000000000 +0800
+++ 4.0/source/scripts/SamSiteGameObjDef.h	2011-10-11 21:44:34.754882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SAMSITEGAMEOBJDEF_H
 #define TT_INCLUDE_SAMSITEGAMEOBJDEF_H
 #include "SmartGameObjDef.h"
diff -uwr source/scripts/SaveLoadSubSystemClass.h 4.0/source/scripts/SaveLoadSubSystemClass.h
--- source/scripts/SaveLoadSubSystemClass.h	2010-03-24 10:48:56.000000000 +0800
+++ 4.0/source/scripts/SaveLoadSubSystemClass.h	2011-10-11 21:44:33.041015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SAVELOADSUBSYSTEMCLASS_H
 #define TT_INCLUDE__SAVELOADSUBSYSTEMCLASS_H
 
diff -uwr source/scripts/SaveLoadSystemClass.h 4.0/source/scripts/SaveLoadSystemClass.h
--- source/scripts/SaveLoadSystemClass.h	2011-05-24 09:10:42.000000000 +0800
+++ 4.0/source/scripts/SaveLoadSystemClass.h	2011-10-11 21:44:30.558593700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SAVELOADSYSTEMCLASS_H
 #define TT_INCLUDE__SAVELOADSYSTEMCLASS_H
 #include "PointerRemapClass.h"
diff -uwr source/scripts/SceneClass.h 4.0/source/scripts/SceneClass.h
--- source/scripts/SceneClass.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/SceneClass.h	2011-10-11 21:44:28.641601500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SCENECLASS_H
 #define TT_INCLUDE__SCENECLASS_H
 
diff -uwr source/scripts/ScriptZoneGameObj.h 4.0/source/scripts/ScriptZoneGameObj.h
--- source/scripts/ScriptZoneGameObj.h	2011-05-30 20:36:44.000000000 +0800
+++ 4.0/source/scripts/ScriptZoneGameObj.h	2011-10-11 21:44:16.839843700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SCRIPTZONEGAMEOBJ_H
 #define TT_INCLUDE_SCRIPTZONEGAMEOBJ_H
 #include "SList.h"
diff -uwr source/scripts/ScriptZoneGameObjDef.h 4.0/source/scripts/ScriptZoneGameObjDef.h
--- source/scripts/ScriptZoneGameObjDef.h	2011-05-30 20:36:44.000000000 +0800
+++ 4.0/source/scripts/ScriptZoneGameObjDef.h	2011-10-11 21:44:14.845703100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SCRIPTZONEGAMEOBJDEF_H
 #define TT_INCLUDE_SCRIPTZONEGAMEOBJDEF_H
 #include "ScriptableGameObjDef.h"
diff -uwr source/scripts/ScriptableGameObj.h 4.0/source/scripts/ScriptableGameObj.h
--- source/scripts/ScriptableGameObj.h	2011-05-10 22:44:22.000000000 +0800
+++ 4.0/source/scripts/ScriptableGameObj.h	2011-10-11 21:44:26.625000000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SCRIPTABLEGAMEOBJ_H
 #define TT_INCLUDE_SCRIPTABLEGAMEOBJ_H
 class ScriptableGameObj;
diff -uwr source/scripts/ScriptableGameObjDef.h 4.0/source/scripts/ScriptableGameObjDef.h
--- source/scripts/ScriptableGameObjDef.h	2011-08-01 09:10:34.000000000 +0800
+++ 4.0/source/scripts/ScriptableGameObjDef.h	2011-10-11 21:44:24.187500000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SCRIPTABLEGAMEOBJDEF_H
 #define TT_INCLUDE_SCRIPTABLEGAMEOBJDEF_H
 #include "BaseGameObjDef.h"
diff -uwr source/scripts/SimpleDefinitionFactoryClass.h 4.0/source/scripts/SimpleDefinitionFactoryClass.h
--- source/scripts/SimpleDefinitionFactoryClass.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/SimpleDefinitionFactoryClass.h	2011-10-11 21:44:01.701171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SIMPLEDEFINITIONFACTORYCLASS_H
 #define TT_INCLUDE_SIMPLEDEFINITIONFACTORYCLASS_H
 #include "DefinitionFactoryClass.h"
diff -uwr source/scripts/SimpleFileFactoryClass.cpp 4.0/source/scripts/SimpleFileFactoryClass.cpp
--- source/scripts/SimpleFileFactoryClass.cpp	2011-05-12 22:44:18.000000000 +0800
+++ 4.0/source/scripts/SimpleFileFactoryClass.cpp	2011-10-11 23:06:14.933593700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "SimpleFileFactoryClass.h"
 #include "BufferedFileClass.h"
diff -uwr source/scripts/SimpleFileFactoryClass.h 4.0/source/scripts/SimpleFileFactoryClass.h
--- source/scripts/SimpleFileFactoryClass.h	2009-11-15 10:06:44.000000000 +0800
+++ 4.0/source/scripts/SimpleFileFactoryClass.h	2011-10-11 21:43:59.509765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SIMPLEFILEFACTORYCLASS_H
 #define TT_INCLUDE_SIMPLEFILEFACTORYCLASS_H
 #include "engine_io.h"
diff -uwr source/scripts/SimpleGameObj.h 4.0/source/scripts/SimpleGameObj.h
--- source/scripts/SimpleGameObj.h	2011-08-04 21:38:32.000000000 +0800
+++ 4.0/source/scripts/SimpleGameObj.h	2011-10-11 21:43:56.718750000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SIMPLEGAMEOBJ_H
 #define TT_INCLUDE_SIMPLEGAMEOBJ_H
 #include "PhysicalGameObj.h"
diff -uwr source/scripts/SimpleGameObjDef.h 4.0/source/scripts/SimpleGameObjDef.h
--- source/scripts/SimpleGameObjDef.h	2009-12-24 19:49:38.000000000 +0800
+++ 4.0/source/scripts/SimpleGameObjDef.h	2011-10-11 21:43:54.694335900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SIMPLEGAMEOBJDEF_H
 #define TT_INCLUDE_SIMPLEGAMEOBJDEF_H
 #include "PhysicalGameObjDef.h"
diff -uwr source/scripts/SimplePersistFactoryClass.h 4.0/source/scripts/SimplePersistFactoryClass.h
--- source/scripts/SimplePersistFactoryClass.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/SimplePersistFactoryClass.h	2011-10-11 21:43:52.679687500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SIMPLEPERSISTFACTORYCLASS_H
 #define TT_INCLUDE__SIMPLEPERSISTFACTORYCLASS_H
 
diff -uwr source/scripts/Singleton.h 4.0/source/scripts/Singleton.h
--- source/scripts/Singleton.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Singleton.h	2011-10-11 21:43:50.411132800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SINGLETON_H
 #define TT_INCLUDE__SINGLETON_H
 
diff -uwr source/scripts/SmartGameObj.h 4.0/source/scripts/SmartGameObj.h
--- source/scripts/SmartGameObj.h	2010-05-31 12:57:10.000000000 +0800
+++ 4.0/source/scripts/SmartGameObj.h	2011-10-11 21:43:45.486328100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SMARTGAMEOBJ_H
 #define TT_INCLUDE__SMARTGAMEOBJ_H
 
diff -uwr source/scripts/SmartGameObjDef.h 4.0/source/scripts/SmartGameObjDef.h
--- source/scripts/SmartGameObjDef.h	2009-12-24 19:48:24.000000000 +0800
+++ 4.0/source/scripts/SmartGameObjDef.h	2011-10-11 21:43:42.815429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SMARTGAMEOBJDEF_H
 #define TT_INCLUDE__SMARTGAMEOBJDEF_H
 
diff -uwr source/scripts/SoldierFactoryGameObj.h 4.0/source/scripts/SoldierFactoryGameObj.h
--- source/scripts/SoldierFactoryGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/SoldierFactoryGameObj.h	2011-10-11 21:43:39.913085900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SOLDIERFACTORYGAMEOBJ_H
 #define TT_INCLUDE__SOLDIERFACTORYGAMEOBJ_H
 #include "BuildingGameObj.h"
diff -uwr source/scripts/SoldierFactoryGameObjDef.h 4.0/source/scripts/SoldierFactoryGameObjDef.h
--- source/scripts/SoldierFactoryGameObjDef.h	2009-12-24 19:55:56.000000000 +0800
+++ 4.0/source/scripts/SoldierFactoryGameObjDef.h	2011-10-11 21:43:37.670898400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SOLDIERFACTORYGAMEOBJDEF_H
 #define TT_INCLUDE__SOLDIERFACTORYGAMEOBJDEF_H
 #include "BuildingGameObjDef.h"
diff -uwr source/scripts/SoldierGameObj.h 4.0/source/scripts/SoldierGameObj.h
--- source/scripts/SoldierGameObj.h	2011-09-03 11:00:20.000000000 +0800
+++ 4.0/source/scripts/SoldierGameObj.h	2011-10-13 11:34:11.870117100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SOLDIERGAMEOBJ_H
 #define TT_INCLUDE__SOLDIERGAMEOBJ_H
 
@@ -166,6 +177,8 @@
 	const char *		Get_State_Name( void )		{ return HumanState.Get_State_Name(); }
 	void Set_Can_Steal_Vehicles(bool onoff) { CanStealVehicles = onoff; Set_Object_Dirty_Bit(BIT_RARE, true); }
 	bool Can_Steal_Vehicles() { return CanStealVehicles; }
+	void Set_Can_Drive_Vehicles(bool onoff) { CanDriveVehicles = onoff; Set_Object_Dirty_Bit(BIT_RARE, true); }
+	bool Can_Drive_Vehicles() { return CanDriveVehicles; }
 protected:
 	RenderObjClass		*	WeaponRenderModel; //2416
 	RenderObjClass		*	BackWeaponRenderModel; //2420
@@ -218,6 +231,7 @@
 	float						ReloadingTilt; //3368
 	bool						WeaponChanged; //3372
 	bool						CanStealVehicles; // padding
+	bool						CanDriveVehicles; // padding
 	PersistantSurfaceEmitterClass * WaterWake; //3376
 	DynamicVectorClass<RenderObjClass*>	RenderObjList; //3380
 	void						Add_RenderObj( RenderObjClass * obj );
diff -uwr source/scripts/SoldierGameObjDef.h 4.0/source/scripts/SoldierGameObjDef.h
--- source/scripts/SoldierGameObjDef.h	2011-05-24 18:21:40.000000000 +0800
+++ 4.0/source/scripts/SoldierGameObjDef.h	2011-10-11 21:43:34.199218700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SOLDIERGAMEOBJDEF_H
 #define TT_INCLUDE__SOLDIERGAMEOBJDEF_H
 
diff -uwr source/scripts/Sound3DClass.h 4.0/source/scripts/Sound3DClass.h
--- source/scripts/Sound3DClass.h	2011-08-25 23:02:30.000000000 +0800
+++ 4.0/source/scripts/Sound3DClass.h	2011-10-11 21:43:32.148437500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SOUND3DCLASS_H
 #define TT_INCLUDE__SOUND3DCLASS_H
 
